Package com.massivecraft.factions.util

## Class EnumTypeAdapter<T extends java.lang.Enum<T>>

- java.lang.Object
- - com.google.gson.TypeAdapter<T>
  - - com.massivecraft.factions.util.EnumTypeAdapter<T>

    public final class EnumTypeAdapter<T extends java.lang.Enum<T>>
    extends com.google.gson.TypeAdapter<T>

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static com.google.gson.TypeAdapterFactory` | `ENUM_FACTORY` |

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`EnumTypeAdapter​(java.lang.Class<T> classOfT)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static <TT> com.google.gson.TypeAdapterFactory` | `newEnumTypeHierarchyFactory()` |
`T` | `read​(com.google.gson.stream.JsonReader in)` |
`void` | `write​(com.google.gson.stream.JsonWriter out, T value)` |

### Methods inherited from class com.google.gson.TypeAdapter

`fromJson, fromJson, fromJsonTree, nullSafe, toJson, toJson, toJsonTree`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ENUM_FACTORY

    public static final com.google.gson.TypeAdapterFactory ENUM_FACTORY

### Constructor Detail

#### EnumTypeAdapter

    public EnumTypeAdapter​(java.lang.Class<T> classOfT)

### Method Detail

#### newEnumTypeHierarchyFactory

    public static <TT> com.google.gson.TypeAdapterFactory newEnumTypeHierarchyFactory()

#### read

    public T read​(com.google.gson.stream.JsonReader in)
           throws java.io.IOException

Specified by:
  `read` in class `com.google.gson.TypeAdapter<T extends java.lang.Enum<T>>`
Throws:
  `java.io.IOException`

#### write

    public void write​(com.google.gson.stream.JsonWriter out,
                      T value)
               throws java.io.IOException

Specified by:
  `write` in class `com.google.gson.TypeAdapter<T extends java.lang.Enum<T>>`
Throws:
  `java.io.IOException`